### Name: marks
### Title: Mark Distributions
### Aliases: marks dexp_mark rexp_mark
### Keywords: distribution

### ** Examples

#   Below is an example of a 3-D mark distribution. Each component
#   is independent of each other and history, hence the arguments
#   ti and data do not occur in the function.

rexample_mark <- function(ti, data, params)
    return(list(magnitude=rexp(n=1, params[1]),
                longitude=rnorm(1, mean=params[2]),
                latitude=rnorm(1, mean=params[3])))

#-----------------------------------------------------------------
#   Below is an example of a density for magnitudes of events
#   in and etas model but where the magnitude density is
#   dependent on the value of the ground intensity function
#   and hence the history of the process (See Details above for
#   more explanation).

dmagn_mark <- function(x, data, params){
    lambda <- etas_gif(data, x[,"time"], params=params[1:5])
    y <- dgamma(x[,"magnitude"], shape=1+sqrt(lambda)*params[7],
                rate=params[6], log=TRUE)
    return(y)
}



